## org.biojava.bio.dp
Class PairDPMatrix

    java.lang.Object
      |
      +--org.biojava.bio.dp.PairDPMatrix

public class PairDPMatrix
extends java.lang.Object
implements DPMatrix, java.io.Serializable

Storage structure for intermediate values from a pairwise dynamic programming run.

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`PairDPMatrix(DP dp, SymbolList seq0, SymbolList seq1)`

Method Summary
`double` `getCell(int[] indxs)`
`double` `getScore()`
`MarkovModel` `model()`
`SymbolList[]` `resList()`
`State[]` `states()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PairDPMatrix

    public PairDPMatrix(DP dp,
                        SymbolList seq0,
                        SymbolList seq1)

Method Detail

### states

    public State[] states()

  Specified by:
    states in interface DPMatrix

### model

    public MarkovModel model()

  Specified by:
    model in interface DPMatrix

### resList

    public SymbolList[] resList()

  Specified by:
    resList in interface DPMatrix

### getScore

    public double getScore()

  Specified by:
    getScore in interface DPMatrix

### getCell

    public double getCell(int[] indxs)

  Specified by:
    getCell in interface DPMatrix